Name:          liboauth
Version:       1.0.3
Release:       2mamba
Summary:       A collection of POSIX-c functions implementing the OAuth Core RFC 5849 standard
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://liboauth.sourceforge.net/
Source:        http://sourceforge.net/projects/liboauth/files/liboauth-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
## AUTOBUILDREQ-END

%description
liboauth is a collection of POSIX-c functions implementing the OAuth Core RFC 5849 standard. liboauth provides functions to escape and encode parameters according to OAuth specification and offers high-level functionality to sign requests or verify OAuth signatures as well as perform HTTP requests.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
liboauth is a collection of POSIX-c functions implementing the OAuth Core RFC 5849 standard. liboauth provides functions to escape and encode parameters according to OAuth specification and offers high-level functionality to sign requests or verify OAuth signatures as well as perform HTTP requests.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-nss

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liboauth.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/oauth.h
%{_libdir}/liboauth.a
%{_libdir}/liboauth.la
%{_libdir}/liboauth.so
%{_libdir}/pkgconfig/oauth.pc
%{_mandir}/man3/oauth.3*
%doc ChangeLog README

%changelog
* Wed Dec 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-2mamba
- rebuilt with debug package

* Mon May 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic update by autodist

* Sat Mar 22 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic update by autodist

* Thu Mar 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Fri Jun 15 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- package created by autospec
